%global momorel 2

Name:           perl-MooseX-SimpleConfig
Version:        0.07
Release:        %{momorel}m%{?dist}
Summary:        Moose role for setting attributes from a simple configfile
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MooseX-SimpleConfig/
Source0:        http://www.cpan.org/authors/id/B/BO/BOBTFISH/MooseX-SimpleConfig-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Config-Any >= 0.13
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Moose >= 0.35
BuildRequires:  perl-MooseX-ConfigFromFile >= 0.02
BuildRequires:  perl-Test-Simple >= 0.42
Requires:       perl-Config-Any >= 0.13
Requires:       perl-Moose >= 0.35
Requires:       perl-MooseX-ConfigFromFile >= 0.02
Requires:       perl-Test-Simple >= 0.42
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This role loads simple configfiles to set object attributes. It is based on
the abstract role MooseX::ConfigFromFile, and uses Config::Any to load your
configfile. Config::Any will in turn support any of a variety of different
config formats, detected by the file extension. See Config::Any for more
details about supported formats.

%prep
%setup -q -n MooseX-SimpleConfig-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{perl_vendorlib}/MooseX/SimpleConfig.pm
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.07-2m)
- full rebuild for mo7 release

* Wed Jul 07 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.07-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
